// Author: Juan Carlos De Abreu (jcabreur@gmail.com)

#include "ShadowManagement.h"
#include "VolumeShadows.h"

BEGIN_TEG_NAMESPACE();

ShadowManagement::ShadowManagement() {}

ShadowManagement::~ShadowManagement() {
  release();
}

void ShadowManagement::init() {
  shadow_ = new VolumeShadows();
}

void ShadowManagement::release() {
  shadow_ = NULL;
}

void ShadowManagement::render(
    SmartPointer<LightNode> light,
    std::vector< SmartPointer<GeometryNode> >& models) {
  shadow_->render(light, models);
}

END_TEG_NAMESPACE();
